*Do File for analysis using logit and GEE models for Boehmer & Sobek,  JPR05 

log using "C:\set path\ Violent Adolescence logits and GEE.log", replace
set more off

*This Section calls the data
set mem 30m
set matsize 165

use "C:set path.dta", clear


*This section prepares the data for pooled-time series analysis
iis ccode
tis year
sort ccode year

logit initiate logdev logdev2 dem popdens popma10 cap openness inityrs initspl1 initspl2 initspl3, nolog robust

logit terclaim logdev logdev2 dem popdens popma10 cap openness teryrs terspl1 terspl2 terspl3, nolog robust

logit FatalMID logdev logdev2 dem popdens popma10 cap openness  Fatalyrs Fatspl1 Fatspl2 Fatspl3, nolog robust


*Now for the GEE models
iis ccode
tis year
sort ccode year

xtgee initiate logdev logdev2 dem popdens popma10 cap openness, family(binomial) link(logit) nolog robust

xtgee terclaim logdev logdev2 dem popdens popma10 cap openness, family(binomial) link(logit) nolog robust

xtgee FatalMID logdev logdev2 dem popdens popma10 cap openness, family(binomial) link(logit) nolog robust


clear
log close
exit
